Debian Bug report logs - #728085
ITP: pyfftw -- A pythonic wrapper around FFTW, the FFT library, presenting a unified interface for all the supported transforms.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ghislain Vaillant <ghisvail@gmail.com>

Date: Mon, 28 Oct 2013 09:27:02 UTC

Owned by: Ghislain Vaillant <ghisvail@gmail.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#728085; Package wnpp. (Mon, 28 Oct 2013 09:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ghislain Vaillant <ghisvail@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 28 Oct 2013 09:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ghislain Vaillant <ghisvail@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pyfftw -- A pythonic wrapper around FFTW, the FFT library, presenting a unified interface for all the supported transforms.
Date: Mon, 28 Oct 2013 09:24:12 +0000
Package: wnpp
Severity: wishlist
Owner: Ghislain Vaillant <ghisvail@gmail.com>

* Package name    : pyfftw
  Version         : 0.9.2
  Upstream Author : Henry Gomersall <heng@kedevelopments.co.uk>
* URL             : http://hgomersall.github.io/pyFFTW/
* License         : GPL-3, some windows-specific headers in BSD clause-2 and 3
  Programming Lang: python 
  Description     : A pythonic wrapper around FFTW, the FFT library, presenting a unified interface for all the supported transforms.

pyFFTW is a pythonic wrapper around FFTW 3, the speedy FFT library. The
ultimate aim is to present a unified interface for all the possible transforms
that FFTW can perform.

Both the complex DFT and the real DFT are supported, as well as on arbitrary
axes of abitrary shaped and strided arrays, which makes it almost feature
equivalent to standard and real FFT functions of numpy.fft (indeed, it supports
the clongdouble dtype which numpy.fft does not).

Wisdom import and export now works fairly reliably.

Operating FFTW in multithreaded mode is supported.

pyFFTW implements the numpy and scipy fft interfaces in order for users to take
advantage of the speed of FFTW with minimal code modifications.

A comprehensive unittest suite can be found with the source on the github
repository or with the source distribution on PyPI.

The documentation can be found on github pages, the source is on github and the
python package index page is here.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ghislain Vaillant <ghisvail@gmail.com>:
Bug#728085; Package wnpp. (Mon, 10 Feb 2014 20:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ghislain Vaillant <ghisvail@gmail.com>. (Mon, 10 Feb 2014 20:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 728085@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 728085@bugs.debian.org
Cc: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Subject: Pyfftw does not build
Date: Mon, 10 Feb 2014 21:13:36 +0100
Hi Ghislain,

pyfftw does not build in a pbuilder environment:

...
removing '/home/andreas/debian-maintain/alioth/debian-science/git/packages/build-area/pyfftw-0.9.2/.pybuild/pythonX.Y_2.7/build' (and everything under it)
'build/bdist.linux-x86_64' does not exist -- can't clean it
'build/scripts-2.7' does not exist -- can't clean it
        pybuild --clean -i python{version}-dbg -p 2.7 --dir .
/bin/sh: 1: python2.7-dbg: not found
E: pybuild pybuild:256: clean: plugin distutils failed with: exit code=127: python2.7-dbg setup.py clean 
dh_auto_clean: pybuild --clean -i python{version}-dbg -p 2.7 --dir . returned exit code 13
make[1]: *** [override_dh_auto_clean] Error 13
make[1]: Leaving directory `/home/andreas/debian-maintain/alioth/debian-science/git/packages/build-area/pyfftw-0.9.2'
make: *** [clean] Error 2
dpkg-buildpackage: error: fakeroot debian/rules clean gave error exit status 2
gbp:error: Couldn't run '~/bin/git-pbuilder': ~/bin/git-pbuilder returned 2


Feel free to ask me if you need assistance.

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ghislain Vaillant <ghisvail@gmail.com>:
Bug#728085; Package wnpp. (Thu, 13 Feb 2014 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ghislain Vaillant <ghisvail@gmail.com>. (Thu, 13 Feb 2014 09:06:04 GMT) Full text and rfc822 format available.

Message #15 received at 728085@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: debian-science-maintainers@lists.alioth.debian.org
Cc: 728085@bugs.debian.org
Subject: Re: Bug#728085: Pyfftw does not build
Date: Thu, 13 Feb 2014 10:02:24 +0100
Hi Ghislain,

On Thu, Feb 13, 2014 at 08:33:08AM +0000, Ghislain Vaillant wrote:
> I too experience this error when using pbuilder. It builds fine however if
> I install the required dependencies on my machine and then run pbuilder. If
> any of them are missing, for instance the -dbg packages, then pbuilder
> fails.
> 
> pbuilder:
> 
> dpkg-checkbuilddeps: Unmet build dependencies: cython-dbg cython3-dbg
> python-all-dbg python-numpy-dbg python3-numpy-dbg
> ...
> E: pybuild pybuild:256: clean: plugin distutils failed with: exit code=1:
> python2.7-dbg setup.py clean
> dh_auto_clean: pybuild --clean -i python{version}-dbg -p 2.7 --dir .
> returned exit code 13
> make: *** [clean] Error 13
> dpkg-buildpackage: error: fakeroot debian/rules clean gave error exit
> status 2
> 
> 
> I am not familiar enough with pbuilder to debug this. All I did was follow
> the ubuntu wiki page about setting-up pbuilder. It worked like a charm with
> linop, but it was a simple case without compiled extensions. For this
> however, it is different somehow. If anyone has any idea what's going on,
> please feel free to help.

I admit if I would have had a quick clue I would have provided it
immediately.  Despite I'm using pbuilder basically all the time I never
experienced this problem ... most probably since I never added any *-dbg
package to the Build-Dependencies which is IMHO totally void.  Do you
have any reason for this?

So I would recommend:

$ git diff
diff --git a/debian/control b/debian/control
index b272bae..dfc2428 100644
--- a/debian/control
+++ b/debian/control
@@ -6,18 +6,13 @@ Priority: optional
 Build-Depends: cython,
                cython-dbg,
                cython3,
-               cython3-dbg,
                debhelper (>= 9),
                libfftw3-dev (>= 3.3),
                libjs-jquery,
-               python-all-dbg,
                python-all-dev,
                python-numpy,
-               python-numpy-dbg,
-               python3-all-dbg,
                python3-all-dev,
                python3-numpy,
-               python3-numpy-dbg,
                quilt
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pyfftw.git

in any case.

When speaking about Build-Depends:  Please also remove quilt from
Build-Depends *and* from debian/rules (--with ...,quilt).  This is
redundant when using debian/source/format 3.0 (quilt).

After applying the patch above the package does not yet build since it
runs into:


'build/scripts-2.7' does not exist -- can't clean it
        pybuild --clean -i python{version} -p 3.3 --dir .
I: pybuild base:170: python3.3 setup.py clean 
Traceback (most recent call last):
  File "setup.py", line 25, in <module>
    import numpy
ImportError: No module named 'numpy'
E: pybuild pybuild:256: clean: plugin distutils failed with: exit code=1: python3.3 setup.py clean 


if on the building machine the packages python-numpy *and* python3-numpy
are missing.  I have no idea how autobuild machines are dealing with
this but I'd recommend asking for advise at the
debian-python@lists.debian.org mailing list how to sensibly tweak your
clean target to only clean "if necessary" and prevent setup.py from
doing useless things.

Kind regards

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ghislain Vaillant <ghisvail@gmail.com>:
Bug#728085; Package wnpp. (Wed, 12 Mar 2014 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ghislain Vaillant <ghisvail@gmail.com>. (Wed, 12 Mar 2014 10:51:04 GMT) Full text and rfc822 format available.

Message #20 received at 728085@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: 728085@bugs.debian.org
Cc: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Subject: Re: Bug#728085: Pyfftw does not build
Date: Wed, 12 Mar 2014 11:48:27 +0100
Hi Ghislain,

On Sun, Mar 09, 2014 at 09:47:31PM +0000, Ghislain Vaillant wrote:
> The latest update of PyFFTW now builds nicely with pbuilder and is ready
> for review. All the previously reported issues are now fixed.

Thanks for working on this.

I can confirm that the package builds but I see some easily fixable
lintian warnings:


W: python-fftw3-dbg: wrong-section-according-to-package-name python-fftw3-dbg => debug
N: 
N:    This package has a name suggesting that it belongs to a section other
N:    than the one it is currently categorized in.
N:    
N:    Severity: normal, Certainty: possible
N:    
N:    Check: fields, Type: binary, udeb, source
N: 
W: python-fftw3-dbg: debug-package-should-be-priority-extra python-fftw3-dbg
N: 
N:    This package has a name suggesting that it contains detached debugging
N:    symbols. If so, it should have priority "extra" since users normally do
N:    not need such packages.
N:    
N:    Severity: normal, Certainty: certain
N:    
N:    Check: fields, Type: binary, udeb, source
N: 
W: python3-fftw3-dbg: wrong-section-according-to-package-name python3-fftw3-dbg => debug
W: python3-fftw3-dbg: debug-package-should-be-priority-extra python3-fftw3-dbg
W: python-fftw3: wrong-section-according-to-package-name python-fftw3 => python


Would you please fix these as well before I'm sponsering the package.

Kind regards

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#728085; Package wnpp. (Wed, 12 Mar 2014 12:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ghislain Vaillant <ghisvail@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Mar 2014 12:30:04 GMT) Full text and rfc822 format available.

Message #25 received at 728085@bugs.debian.org (full text, mbox):

From: Ghislain Vaillant <ghisvail@gmail.com>
To: 728085@bugs.debian.org
Subject: Re: Bug#728085: Pyfftw does not build
Date: Wed, 12 Mar 2014 12:28:08 +0000
[Message part 1 (text/plain, inline)]
These are now fixed. Thanks Andreas.

Ghis


2014-03-12 10:48 GMT+00:00 Andreas Tille <andreas@an3as.eu>:

> Hi Ghislain,
>
> On Sun, Mar 09, 2014 at 09:47:31PM +0000, Ghislain Vaillant wrote:
> > The latest update of PyFFTW now builds nicely with pbuilder and is ready
> > for review. All the previously reported issues are now fixed.
>
> Thanks for working on this.
>
> I can confirm that the package builds but I see some easily fixable
> lintian warnings:
>
>
> W: python-fftw3-dbg: wrong-section-according-to-package-name
> python-fftw3-dbg => debug
> N:
> N:    This package has a name suggesting that it belongs to a section other
> N:    than the one it is currently categorized in.
> N:
> N:    Severity: normal, Certainty: possible
> N:
> N:    Check: fields, Type: binary, udeb, source
> N:
> W: python-fftw3-dbg: debug-package-should-be-priority-extra
> python-fftw3-dbg
> N:
> N:    This package has a name suggesting that it contains detached
> debugging
> N:    symbols. If so, it should have priority "extra" since users normally
> do
> N:    not need such packages.
> N:
> N:    Severity: normal, Certainty: certain
> N:
> N:    Check: fields, Type: binary, udeb, source
> N:
> W: python3-fftw3-dbg: wrong-section-according-to-package-name
> python3-fftw3-dbg => debug
> W: python3-fftw3-dbg: debug-package-should-be-priority-extra
> python3-fftw3-dbg
> W: python-fftw3: wrong-section-according-to-package-name python-fftw3 =>
> python
>
>
> Would you please fix these as well before I'm sponsering the package.
>
> Kind regards
>
>       Andreas.
>
> --
> http://fam-tille.de
>
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:07:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.